package com.ruoyi.szxc.mapper;

import java.util.List;
import com.ruoyi.szxc.domain.SzxcHkbgRecard;

/**
 * 户口变更记录Mapper接口
 * 
 * @author hs
 * @date 2024-03-15
 */
public interface SzxcHkbgRecardMapper 
{
    /**
     * 查询户口变更记录
     * 
     * @param id 户口变更记录主键
     * @return 户口变更记录
     */
    public SzxcHkbgRecard selectSzxcHkbgRecardById(Long id);

    /**
     * 查询户口变更记录列表
     * 
     * @param szxcHkbgRecard 户口变更记录
     * @return 户口变更记录集合
     */
    public List<SzxcHkbgRecard> selectSzxcHkbgRecardList(SzxcHkbgRecard szxcHkbgRecard);

    /**
     * 新增户口变更记录
     * 
     * @param szxcHkbgRecard 户口变更记录
     * @return 结果
     */
    public int insertSzxcHkbgRecard(SzxcHkbgRecard szxcHkbgRecard);

    /**
     * 修改户口变更记录
     * 
     * @param szxcHkbgRecard 户口变更记录
     * @return 结果
     */
    public int updateSzxcHkbgRecard(SzxcHkbgRecard szxcHkbgRecard);

    /**
     * 删除户口变更记录
     * 
     * @param id 户口变更记录主键
     * @return 结果
     */
    public int deleteSzxcHkbgRecardById(Long id);

    /**
     * 批量删除户口变更记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcHkbgRecardByIds(Long[] ids);
}
